Package org.apache.qpid.proton.codec.messaging

# Class TargetType

java.lang.Object
org.apache.qpid.proton.codec.AbstractDescribedType<Target,List>
org.apache.qpid.proton.codec.messaging.TargetType

All Implemented Interfaces:
  `AMQPType<Target>`, `DescribedTypeConstructor<Target>`

public class TargetType extends AbstractDescribedType<Target,List> implements DescribedTypeConstructor<Target>

## Constructor Summary

Constructors
Constructor
Description
`TargetType(EncoderImpl encoder)`

## Method Summary

Modifier and Type
Method
Description
`UnsignedLong`
`getDescriptor()`
`Class<Target>`
`getTypeClass()`
`Target`
`newInstance(Object described)`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`protected List`
`wrap(Target val)`

### Methods inherited from class org.apache.qpid.proton.codec.AbstractDescribedType

`getAllEncodings, getCanonicalEncoding, getDecoder, getEncoder, getEncoding, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TargetType

public TargetType(EncoderImpl encoder)

## Method Details

### getDescriptor

public UnsignedLong getDescriptor()

Specified by:
  `getDescriptor` in class `AbstractDescribedType<Target,List>`

### wrap

protected List wrap(Target val)

Specified by:
  `wrap` in class `AbstractDescribedType<Target,List>`

### newInstance

public Target newInstance(Object described)

Specified by:
  `newInstance` in interface `DescribedTypeConstructor<Target>`

### getTypeClass

public Class<Target> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<Target>`
Specified by:
  `getTypeClass` in interface `DescribedTypeConstructor<Target>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)